Subject: bug#12769: 24.2; Files won't save on Macintosh/Mountain Lion

From: John Croix <[email-masked]>
Date: Wed, 31 Oct 2012 09:50:31 -0500

Thanks for all the help and suggestions.  Here's what I can tell you:
I've never programmed in LISP, so I picked this piece of code up from a friend who is.  That's not an excuse for not trying to figure it out on my own.  However, I hope that explains why I'll say that I have no idea what the lambda function does in LISP.  I'm familiar with C++11's new lambda features, but the semantics of LISP... no clue.  Looks like I'll need to become familiar with LISP.
The intent of the code was to do 2 things
Always delete trailing white space from any file
Untabify files for which indent-tabs-mode is nil.  From what I understand, this variable is set to a non-nil value for makefile mode but isn't necessarily set for other modes.  Thus, the prior statement sets indent-tabs-mode to nil for all modes that don't normally set it.
While it now looks like the code doesn't actually do the two things that I wanted it to do, it never stopped the process of writing files before.  I'm using the same initialization file for emacs 23.4.  It seems to me that this means that (1) untabify didn't return a result before or (2) the write operation didn't depend on a nil value return in order to write.  So is this a bug in 23.4 that's fixed in 24.x?  A feature change in 24.x for untabify or the write operation?

Again, thanks for the helpful feedback.  Sorry to submit a bug report on a user error.

Regards,
John

On Oct 31, 2012, at 5:27 AM, martin rudalics <[email-masked]> wrote:

>> Or just use whitespace-mode.
> 
> Indeed.  Maybe we should improve the Emacs manual to tell more
> about its capabilities.
> 
> martin
>